japa.parser.ast.body

## Class TypeDeclaration

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.body.BodyDeclaration
    - - japa.parser.ast.body.TypeDeclaration

Direct Known Subclasses:
  AnnotationDeclaration, ClassOrInterfaceDeclaration, EmptyTypeDeclaration, EnumDeclaration

    public abstract class TypeDeclaration
    extends BodyDeclaration

### Constructor Summary

Constructors
Constructor and Description
`TypeDeclaration()`
`TypeDeclaration(int beginLine, int beginColumn, int endLine, int endColumn, List<AnnotationExpr> annotations, JavadocComment javaDoc, int modifiers, String name, List<BodyDeclaration> members)`
`TypeDeclaration(int modifiers, String name)`
`TypeDeclaration(List<AnnotationExpr> annotations, JavadocComment javaDoc, int modifiers, String name, List<BodyDeclaration> members)`

### Method Summary

Methods
`List<BodyDeclaration>` `getMembers()`
`int` `getModifiers()` Return the modifiers of this type declaration.
`String` `getName()`
`void` `setMembers(List<BodyDeclaration> members)`
`void` `setModifiers(int modifiers)`
`void` `setName(String name)`

### Methods inherited from class japa.parser.ast.body.BodyDeclaration

`getAnnotations, getJavaDoc, setAnnotations, setJavaDoc`

### Methods inherited from class japa.parser.ast.Node

`accept, accept, equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TypeDeclaration

    public TypeDeclaration()

#### TypeDeclaration

    public TypeDeclaration(int modifiers,
                   String name)

#### TypeDeclaration

    public TypeDeclaration(List<AnnotationExpr> annotations,
                   JavadocComment javaDoc,
                   int modifiers,
                   String name,
                   List<BodyDeclaration> members)

#### TypeDeclaration

    public TypeDeclaration(int beginLine,
                   int beginColumn,
                   int endLine,
                   int endColumn,
                   List<AnnotationExpr> annotations,
                   JavadocComment javaDoc,
                   int modifiers,
                   String name,
                   List<BodyDeclaration> members)

### Method Detail

#### getMembers

    public final List<BodyDeclaration> getMembers()

#### getModifiers

    public final int getModifiers()

Return the modifiers of this type declaration.

Returns:
  modifiers
See Also:
  `ModifierSet`

#### getName

    public final String getName()

#### setMembers

    public void setMembers(List<BodyDeclaration> members)

#### setModifiers

    public final void setModifiers(int modifiers)

#### setName

    public final void setName(String name)